# generated by cabal-rpm-0.11.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name language-ecmascript
%global pkgver %{pkg_name}-%{version}

%global testingfeat testing-feat-0.4.0.3
%global tagshare tagshare-0.0
%global subpkgs %{tagshare} %{testingfeat}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.17.1.0
# can only be reset when all subpkgs bumped
Release:        3%{?dist}
Summary:        JavaScript parser and pretty-printer library

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{testingfeat}/%{testingfeat}.tar.gz
Source2:        https://hackage.haskell.org/package/%{tagshare}/%{tagshare}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
# Begin cabal-rpm deps:
BuildRequires:  ghc-Diff-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-template-haskell-devel
#BuildRequires:  ghc-testing-feat-devel
BuildRequires:  ghc-uniplate-devel
BuildRequires:  ghc-wl-pprint-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif
# End cabal-rpm deps

%description
Tools for working with ECMAScript 3 (popularly known as JavaScript).
Includes a parser, pretty-printer, tools for working with source tree
annotations and an arbitrary instance.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development
files.


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage %{testingfeat}
%ghc_lib_subpackage %{tagshare}
%endif

%global version %{main_version}


%prep
%setup -q -n %{pkgver} -a1 -a2
cabal-tweak-dep-ver data-default-class '< 0.1' '< 0.2'

%build
%ghc_libs_build %{subpkgs}
%ghc_lib_build


%install
%ghc_libs_install %{subpkgs}
%ghc_lib_install
%ghc_fix_rpath %{subpkgs}


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE


%files devel -f %{name}-devel.files
%doc CHANGELOG


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Feb 23 2017 Jens Petersen <petersen@redhat.com> - 0.17.1.0-1
- update to 0.17.1.0
- subpackage testing-feat and tagshare

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Apr  3 2015 Jens Petersen <petersen@redhat.com> - 0.15.2-6
- rebuild

* Wed Jan 28 2015 Jens Petersen <petersen@redhat.com> - 0.15.2-5
- cblrpm refresh

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.15.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul  8 2014 Jens Petersen <petersen@redhat.com> - 0.15.2-3
- F21 rebuild

* Mon Nov 18 2013 Ricky Elrod <codeblock@fedoraproject.org> - 0.15.2-2
- Move CHANGELOG to devel subpackage.
- Remove reference to CHANGELOG from description.

* Fri Oct 25 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.15.2-1
- spec file generated by cabal-rpm-0.8.5
